
# Overview 

* Anonymous Access is possible with Viewer permissions
* Authentication to Grafana is only possible with an account in uffd, regular authentication is disabled 
* All users with group 'grafana_access' can access the Application and get Editor permissions
* Users with group 'grafana_admin' get administrative privileges in Grafana

# Setup OIDC Authentication via uffd 

Uffd Reference: https://git.cccv.de/uffd


## Setup in Grafana

All setup is done in the grafana.ini
References: 
* https://grafana.com/docs/grafana/latest/setup-grafana/configure-security/configure-authentication/
* https://grafana.com/docs/grafana/latest/setup-grafana/configure-security/configure-authentication/generic-oauth/

## Setup in uffd

Create Groups:

- grafana_access: General Access to Grafana
- grafana_admin: Admin Access to Grafana

Create a Service / OAuth Client: 

Only Users with goup grafana_access can access Grafana 

Client-ID: grafana
Client-Secret: from file oauth_client_secret on the server
Redirect-URIs: 
* https://grafana.test-warpzone.de/login/generic_oauth

